//
// FILE: sampapp.cpp
//
// Copyright (c) 1997 by Aaron Michael Cohen and Mike Woodring
//
/////////////////////////////////////////////////////////////////////////

#include <windows.h>
#include <tchar.h>
#include "..\sampdll\sampdll.h"

void _tmain( void )
{
    OutputDebugString(__TEXT("Hello from sampapp.exe!\n"));
    
    HINSTANCE hLib = LoadLibrary(__TEXT("sampdll.dll"));

    if( hLib )
    {
        PFXNSAYHELLO pSayHello = (PFXNSAYHELLO)GetProcAddress(hLib, "SayHello");

        if( pSayHello )
        {
            (* pSayHello)();
        }

        FreeLibrary(hLib);
    }
    else
    {
        OutputDebugString(__TEXT("Failed to load sampdll.dll\n"));
    }
}
