//
// FILE: AsynchExceptionMgr.h
//
// Copyright (c) 1997 by Aaron Michael Cohen and Mike Woodring
//
/////////////////////////////////////////////////////////////////////////

#ifndef __AsynchExceptionMgr__
#define __AsynchExceptionMgr__

#include "ExceptionMgr.h"

// Asynchronous exception manager.  This derivation of the exception
// manager just forwards the notification to all registered handlers
// in the context of the thread calling into the exception manager.
//
class CAsynchronousExceptionManager : public CExceptionManager
{
    protected:
        virtual void    NotifyExceptionHandler(
                            CExceptionHandler                       *pHandler,
                            CExceptionHandler::NOTIFICATION_CONTEXT Context,
                            DWORD                                   dwExceptionCode
                        );
};

#endif // __AsynchExceptionMgr__
